# Balance details

Retrieve details of a specific user’s balance. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorized by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](https://docs.brine.fi/tech/api-documentation/account/login) section of the documentation.

### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/user/balance/
```

### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
}
```

### Query Params <a href="#query-params" id="query-params"></a>

| Field    | Type   | Mandatory | Description                                                                              |
| -------- | ------ | --------- | ---------------------------------------------------------------------------------------- |
| currency | STRING | NO        | If the currency parameter is not specified, the whole list of balances will be returned. |

#### Example

```bash
{baseurl}/sapi/v1/user/balance/?currency=eth
```

#### Response <a href="#response" id="response"></a>

```json
{
  "status": "success",
  "message": "Retrieved Successfully",
  "payload": {
    "currency": "eth",
    "balance": "0.1959644",
    "locked": "0.0",
    "deposit_address": null
  }
}
```
